## nekobee 0.1.8~repack1

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

import os

# the following two variables are used by the target "waf dist"
VERSION='0.2'
APPNAME='nekobee'

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = 'build'

def set_options(opt):
    opt.tool_options('compiler_cc')

def configure(conf):
    conf.check_tool('compiler_cc')

    conf.check_cfg(package='dssi', args='--cflags --libs')
    conf.check_cfg(package='liblo', args='--cflags --libs')
    conf.check_cfg(package='gtk+-2.0', args='--cflags --libs')

    conf.env['DSSI_DIR'] = os.path.normpath(os.path.join(conf.env['PREFIX'], 'lib', 'dssi'))
    conf.env['INSTALL_DIR'] = os.path.join(conf.env['DSSI_DIR'], 'nekobee')

    conf.define('INSTALL_DIR', conf.env['INSTALL_DIR'])
    conf.write_config_header('config.h')

def build(bld):
    # DSSI plugin
    plugin_dssi = bld.new_task_gen('cc', 'shlib')
    plugin_dssi.env['shlib_PATTERN'] = '%s.so'
    plugin_dssi.env.append_value("LINKFLAGS", "-module -avoid-version -Wc,-nostartfiles")
    plugin_dssi.includes = ['.', 'src']
    plugin_dssi.defines = 'HAVE_CONFIG_H'
    plugin_dssi.source = [
	'src/nekobee-dssi.c',
	'src/nekobee_data.c',
	'src/nekobee_ports.c',
	'src/nekobee_synth.c',
	'src/nekobee_voice.c',
	'src/nekobee_voice_render.c',
	'src/minblep_tables.c',
        ]
    plugin_dssi.target = 'nekobee'
    plugin_dssi.install_path = '${DSSI_DIR}/'
    bld.install_files('${INSTALL_DIR}', 'extra/*')

    # DSSI UI executable
    gui_gtk = bld.new_task_gen('cc', 'program')
    gui_gtk.includes = ['.', 'src']
    gui_gtk.defines = 'HAVE_CONFIG_H'
    gui_gtk.source = [
	'src/gui_callbacks.c',
	'src/gui_data.c',
	'src/gui_interface.c',
	'src/gtkknob.c',
#	'src/gtk/slider.c',
	'src/gui_main.c',
	'src/nekobee_data.c',
	'src/nekobee_ports.c',
        ]
    gui_gtk.uselib = 'GTK+-2.0 LIBLO'
    gui_gtk.target = 'nekobee_gtk'
    gui_gtk.install_path = '${INSTALL_DIR}/'

## nekobee 0.1.7

=== debian/changelog ===
nekobee (0.1.7-4) unstable; urgency=low

  * Add myself as uploader.
  * Bump standards.
  * Fix VCS canonical URLs.
  * Set dh/compat 9.
  * Don't sign tags.
  * Added Keywords entry to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 13 Jun 2013 23:07:31 +0200

nekobee (0.1.7-3) unstable; urgency=low

  * Team upload.
  * Switch packaging format to 3.0 (quilt).
  * debian/patches/01-pathmax.patch:
    - Avoid unconditionalized use of PATH_MAX to try to build fine on
      hurd too.
  * debian/control:
    - Remove myself from the Uploaders list.
    - Remove DM-Upload-Allowed: yes.
    - Build-depend on dh-autoreconf.
    - Demote dssi-host-jack to Suggests.
    - Bump Standards.
  * debian/rules:
    - Use dh-autoreconf.
    - Link with -Wl,--as-needed.
  * Add gbp config file.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Apr 2011 18:46:46 +0200

nekobee (0.1.7-2) unstable; urgency=low

  * Bump Standards.
  * liblo transition.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 28 Feb 2010 19:09:43 +0100

nekobee (0.1.7-1) unstable; urgency=low

  * New upstream release.
  * Switch to debhelper 7.
  * debian/control:
    - Add myself to Uploaders and set DM-Upload-Allowed to yes.
    - Set Debian Multimedia Maintainers as Maintainer.
    - Set Free as uploader.
    - Bump Standards.
    - Build-dependencies: s/automake1.9/automake/.
    - Add Homepage field.
    - Add Vcs-* fields.
    - Remove dpatch build-dependency.
  * Fix desktop file as per spec.
  * Fix debian/menu as per spec.
  * debian/copyright:
    - Fix copyright-refers-to-symlink-license lintian warning.
    - Update.
  * debian/nekobee.sh:
    - Small script to run the plugin in standalone mode; this will be
      installed in /usr/bin/nekobee.
  * Make debian/watch file working again (Closes: #450379).
  * This fixes almost all lintian warnings (Closes: #524324).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 05 Jan 2010 01:27:54 +0100

nekobee (0.1.6-1) unstable; urgency=low

  * New upstream release
  * FTBFS if built twice in a row (Closes: #424594)
  * Actually added .desktop file

 -- Free Ekanayaka <freee@debian.org>  Sat,  1 Sep 2007 11:30:12 +0200

nekobee (0.1.5+svn20070508.r30-2) unstable; urgency=low

  * Depend on dssi-host-jack
  * Added .desktop file

 -- Free Ekanayaka <freee@debian.org>  Mon, 14 May 2007 11:12:16 +0200

nekobee (0.1.5+svn20070508.r30-1) unstable; urgency=low

  * Using SVN head, as suggested by the upstream author (Closes: #422413)
  * Fixed description, it was uncorrectly mentioning qsynth samples

 -- Free Ekanayaka <freee@debian.org>  Tue,  8 May 2007 23:51:38 +0200

nekobee (0.1.5-1) unstable; urgency=low

  * Initial release (Closes: # 412472)

 -- Free Ekanayaka <freee@debian.org>  Mon, 19 Feb 2007 11:25:00 +0100

=== debian/control ===
Source: nekobee
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 liblo-dev,
 libasound2-dev,
 dssi-dev,
 libgtk2.0-dev,
 libtool,
 automake
Standards-Version: 3.9.4
Homepage: http://www.nekosynth.co.uk/wiki/nekobee
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/nekobee.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/nekobee.git

Package: nekobee
Architecture: any
Provides: dssi-plugin
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: dssi-host-jack
Description: Simple single-oscillator DSSI plugin
 Recreate those squelchy acid sounds with nekobee, a simple
 single-oscillator synth based on the Roland TB-303.
 .
 DSSI is an API for audio processing plugins, particularly useful for
 software synthesis plugins with user interfaces (see http://dssi.sf.net/).

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

override_dh_auto_install:
	dh_auto_install
	rm debian/nekobee/usr/lib/*/dssi/nekobee.la
	cp debian/nekobee.sh debian/nekobee/usr/bin/nekobee

%:
	dh $@ --with autoreconf

=== debian/watch ===
version=3
http://www.nekosynth.co.uk/releases/nekobee-(.*)\.tar\.gz

## nekobee 0.1.8~repack1

=== debian/changelog ===
nekobee (0.1.8~repack1-1) unstable; urgency=medium

  * Repack by rules file to get rid of waf blob.
  * New upstream version 0.1.8~repack1 (Closes: #843720)
  * Patch refreshed.
  * Switch to waf.
  * Add patch to try fix build.
  * Fix build.
  * Fix build.
  * Sign tags.
  * Fix install.
  * Remove dirs file.
  * Update homepage.
  * Patches forwarded.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 18 Dec 2016 19:10:52 +0100

nekobee (0.1.7-5) unstable; urgency=medium

  * Bump Standards.
  * Set dh/compat 10.
  * Remove menu file.
  * Fix VCS fields.
  * Update copyright file.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 08 Nov 2016 09:47:13 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Free Ekanayaka <freee@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends: debhelper (>= 9),
- dh-autoreconf,
+Build-Depends:
+ debhelper (>= 10),
+ python,
  liblo-dev,
  libasound2-dev,
  dssi-dev,
  libgtk2.0-dev,
  libtool,
  automake
-Standards-Version: 3.9.4
-Homepage: http://www.nekosynth.co.uk/wiki/nekobee
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/nekobee.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/nekobee.git
+Standards-Version: 3.9.8
+Homepage: https://github.com/gordonjcp/nekobee
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/nekobee.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/nekobee.git
 
 Package: nekobee
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)~repack1
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LDFLAGS+=-Wl,--as-needed

export LINKFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -lm

WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure   --prefix=/usr

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean
	find -name "*.pyc" -delete
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp
	mkdir $(CURDIR)/debian/tmp/usr/bin
	cp debian/nekobee.sh $(CURDIR)/debian/tmp/usr/bin/nekobee

# get-orig-source to drop upstream .gitignore file and get rid of waf blob
get-orig-source:
	uscan --force-download
	tar xf ../$(upstream_version).tar.gz
	rm ../$(upstream_version).tar.gz \
	../$(pkg)_$(upstream_version).orig.tar.gz
	rm -fR $(pkg)-$(upstream_version)/.git
	rm -fR $(pkg)-$(upstream_version)/.gitignore
	cd $(pkg)-$(upstream_version) ; python waf --help > /dev/null
	mv $(pkg)-$(upstream_version)/.waf-*/* $(pkg)-$(upstream_version)
	sed -i '/^#==>$$/,$$d' $(pkg)-$(upstream_version)/waf
	rmdir $(pkg)-$(upstream_version)/.waf-*
	find $(pkg)-$(upstream_version)/ -name '*.pyc' -delete
	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(upstream_version)
	xz -zf $(pkg)_$(dfsg_version).orig.tar
	rm -rf $(pkg)-$(upstream_version)
	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz

=== debian/watch ===
version=3
opts=dversionmangle=s/~repack1.*// \
  https://github.com/gordonjcp/nekobee/tags .*/v?(\d[\d\.]+)\.tar\.gz
